<div class="col-lg-12 animated fadeInRight list-payment-extra">
  <div class="input-group">
  </div>
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div>
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <div class="row">
              <div class="col-sm-12">
                <h3>
                  <strong>Active users</strong>
                </h3>
              </div>
            </div>
            <div class="fm-row">
              <div class="row">
                <div class="col-xs-3">
                  <input [(ngModel)]="startDate" name="start_date" [max]="max" [owlDateTimeTrigger]="dtPicker1"
                    [owlDateTime]="dtPicker1" placeholder="Start Date" class="form-control"
                    (ngModelChange)="resetEndDate()">
                  <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;" [owlDateTimeTrigger]="dtPicker1"></i>
                  <owl-date-time [pickerMode]="'dialog'" #dtPicker1></owl-date-time>
                </div>
                <div class="col-xs-3">
                  <input [(ngModel)]="endDate" name="end_date" [min]="startDate" [max]="max"
                    [owlDateTimeTrigger]="dtPicker2" [owlDateTime]="dtPicker2" placeholder="End Date"
                    class="form-control">
                  <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;" [owlDateTimeTrigger]="dtPicker2"></i>
                  <owl-date-time [pickerMode]="'dialog'" #dtPicker2></owl-date-time>
                </div>
                <div class="col-sm-6 text-right">
                  <button type="get" [disabled]="searchSubmit || (startDate && !endDate)" (click)="getActiveUsers()"
                    class="btn btn-sm btn-primary blue"> <i aria-hidden="true" class="fa fa-search"></i>
                    Search</button>
                  <button type="get" (click)="reset();" class="btn btn-sm btn-primary red">
                    Reset</button>
                </div>
              </div>
              <div class="row">
                <div class="col-sm-12">
                  <strong>Total active users : {{activeUsers.length}}</strong>
                </div>
              </div>
            </div>
            <div class="ibox-content">
              <div class="table-responsive custom-table">
                <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive zoom">
                  <thead>
                    <tr>
                      <th scope="col">
                        User
                      </th>
                      <th scope="col">
                        Recent Activity
                      </th>
                    </tr>
                  </thead>
                  <tbody>
                    <span *ngIf="searchSubmit">
                      <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                    </span>
                    <tr *ngFor="let user of activeUsers">
                      <td>{{user?.firstname}} {{user?.lastname}}</td>
                      <td>
                  <tbody>
                    <tr>
                      <th scope="col">Date</th>
                      <th scope="col">Activity</th>
                    </tr>
                    <tr *ngFor="let activity of user.data">
                      <td> {{activity?.created_at}}&nbsp;&nbsp;</td>
                      <td> {{activity?.activity}} </td>
                    </tr>
                  </tbody>
                  </td>
                  </tr>
                  </tbody>
                </table>
                <br>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>